function simdata = simdata(vardata,nlags,nstep,hasconst,trendval,vardetrend,fflocation,sortlev,ndraws,invshock);

 
if le(nargin,10);
       ffsub = fflocation;
   end;
   
   if nargin < 11;
       sub = 1:size(vardata,2);
   end;

   if exist('invshock');
          [trimpzout,trvdout,trsimdataout,trerzout,trazero,tra0betaz] = mkimplr(vardata,nlags,nstep,hasconst,trendval,vardetrend,fflocation,sortlev,invshock);
   else
       [trimpzout,trvdout,trsimdataout,trerzout,trazero,tra0betaz] = mkimplrnew(vardata,nlags,nstep,hasconst,trendval,vardetrend,fflocation,sortlev);
   end
   
       vardata = detrendrjv(vardata,trendval,vardetrend); %knock the trends out of the initial conditions. 


clear trsimdataout

uz = trerzout;
betavar = tra0betaz';
a0inv = inv(trazero);


%declare matricies
sizeimp = [size(trimpzout)  ndraws];
sizevd = [size(trvdout)  ndraws];

 
[nobs,nvars] = size(vardata);  %number of variables
nobs = nobs-nlags;


%do simulations. 
 for icnt =1:ndraws;
   % disp(['Now doing trial ' num2str(icnt)])
   %loop over the number of draws
   % generate data 
   % and then calculate impulse response functions
   
   % step 1 generate the data
   % bootstrap off structural errors
   erz = uz(ceil(size(uz,1)*rand(nobs,1)),:);
   %I generate a random number bounded between 0 and # of residuals
   %I then use the ceil function to select that row of the residuals
   %this is equivalent to sampling with replacement.    
   ydata = zeros(nobs+nlags,nvars);
   ydata(1:nlags,1:nvars) = vardata(1:nlags,1:end); %use the original values as starting values
   
   %set up lagged values. 
   zlag = reshape(ydata(nlags:-1:1,1:nvars)',1,nlags*nvars);
   %generate simulated data. 
   for jj=nlags+(1:nobs);
      ydata(jj,:)=betavar(hasconst,:)+zlag*betavar(hasconst+1:size(betavar,1),:)+(a0inv*erz(jj-nlags,:)')';
      zlag = [ydata(jj,:) zlag(1,1:(nlags-1)*nvars)];
   end;
   
   simdata(:,:,icnt) = ydata;
end