function outimpz = sortlpvarcev(impz);
%program to sort the data for graphing. 
     
 if size(impz,2) == 6
      % 'cev var'
     impznew = zeros(size(impz,1),6);
     impznew(:,1) = cumsum(impz(:,1))+impz(:,2); %Output
     impznew(:,2) = impz(:,2); %average hours
     impznew(:,3) =  impz(:,3); %Inflation
     impznew(:,4) = impz(:,4) + impznew(:,1); %consumption
     impznew(:,5) = impz(:,5) + impznew(:,1); %investment
     impznew(:,6) = impz(:,6); %fed funds
     outimpz  = impznew(:,[1 2 3 6 4 5]);
     namz = char('Output','Hours','Inflation','Fed Funds','Consumption','Investment');
     
 elseif size(impz,2) == 2
        impznew = zeros(size(impz,1),6);
     impznew(:,1) = cumsum(impz(:,1))+impz(:,2); %Output
     impznew(:,2) = impz(:,2); %average hours
      namz = char('Output','Hours');
 elseif size(impz,2) == 9;
    % 'acel var'
     impznew = zeros(size(impz,1),10);
     impznew(:,1) = cumsum(impz(:,1))+impz(:,2); %Output
     impznew(:,2) = impz(:,2); %average hours
     impznew(:,3) =  impz(:,3); %Inflation
     impznew(:,4) = impz(:,4) + impznew(:,1); %consumption
     impznew(:,5) = impz(:,5) + impznew(:,1); %investment
     impznew(:,6) = impz(:,6); %Capacity Utilization
     impznew(:,7) = impznew(:,1) - impz(:,2) - impz(:,7); %Wages
     impznew(:,8) = impz(:,8);      %fed funds
     impznew(:,9) = impz(:,9);       %velocity
     impznew(:,10) = impznew(:,1)+cumsum(impznew(:,3)) -  impz(:,9); %M 
     impznew(:,10) = [impznew(1,10); diff(impznew(:,10))]; %dm 
      outimpz  = impznew(:,[1 2 3 6 4 5 7:10]) ;
%      namz = char('Output','Hours','Inflation','Fed Funds','Consumption','Investment','Cap Util','Wages','Velocity','Money Growth');
      namz = char('Output','Hours','Inflation','Cap Util','Consumption','Investment','Wages','Fed Funds','Velocity','Money Growth');
 elseif size(impz,2) == 7
      % 'cev var but with the price of investment too'
     impznew = zeros(size(impz,1),6);
     impzpinv = cumsum(impz(:,1));
     impz = impz(:,2:end);
     
     impznew(:,1) = cumsum(impz(:,1))+impz(:,2); %Output
     impznew(:,2) = impz(:,2); %average hours
     impznew(:,3) =  impz(:,3); %Inflation
     impznew(:,4) = impz(:,4) + impznew(:,1); %consumption
     impznew(:,5) = impz(:,5) + impznew(:,1); %investment
     impznew(:,6) = impz(:,6); %fed funds
     outimpz  = [impznew(:,[1 2 3 6 4 5]) impzpinv] ;
     namz = char('Output','Hours','Inflation','Fed Funds','Consumption','Investment','Inv Price');
     
 elseif size(impz,2) == 3
     impzpinv = cumsum(impz(:,1));
     impz = impz(:,2:end);
     impznew = zeros(size(impz,1),6);
     impznew(:,1) = cumsum(impz(:,1))+impz(:,2); %Output
     impznew(:,2) = impz(:,2); %average hours
     outimpz  = [impznew impzpinv] ;
     namz = char('Output','Hours','Inv Price');
 elseif size(impz,2) == 10;
    % 'acel var'
     impzpinv = cumsum(impz(:,1));
     impz = impz(:,2:end);
     impznew = zeros(size(impz,1),10);
     impznew(:,1) = cumsum(impz(:,1))+impz(:,2); %Output
     impznew(:,2) = impz(:,2); %average hours
     impznew(:,3) =  impz(:,3); %Inflation
     impznew(:,4) = impz(:,4) + impznew(:,1); %consumption
     impznew(:,5) = impz(:,5) + impznew(:,1); %investment
     impznew(:,6) = impz(:,6); %Capacity Utilization
     impznew(:,7) = impznew(:,1) - impz(:,2) - impz(:,7); %Wages
     impznew(:,8) = impz(:,8);      %fed funds
     impznew(:,9) = impz(:,9);       %velocity
     impznew(:,10) = impznew(:,1)+cumsum(impznew(:,3)) -  impz(:,9); %M 
     impznew(:,10) = [impznew(1,10); diff(impznew(:,10))]; %dm      
      outimpz  = [ impznew(:,[1 2 3 6 4 5 7:10])  impzpinv];
%      namz = char('Output','Hours','Inflation','Fed Funds','Consumption','Investment','Cap Util','Wages','Velocity','Money Growth','Inv Price');
      namz = char('Output','Hours','Inflation','Cap Util','Consumption','Investment','Wages','Fed Funds','Velocity','Money Growth','Inv Price');
     
 else 
     error('wrong number of inputs')
 end
 
 