function tableMAT(labelsX,labelsY,MAT)

% Tabulates the entries in MAT and puts the labels to the X and Y
% dimensions.

% INPUTS
% labelsX   M-Rows matrix of labels associated with rows
% labelsY   N-Rows matrix of labels associated with columns
% MAT       MxN matrix

% August 2004

labelsX=deblank(labelsX); 
labelsY=deblank(labelsY);
[M nM]=size(labelsX);
[N nN]=size(labelsY);
labelsX=labelsX(:,1:min(11,nM)); % Discplay only first 11 characters
labelsY=labelsY(:,1:min(11,nN)); 

disp(' ')
arr='------------';
header=[blanks(12)];
line=arr;
for i=1:N
    header  =[header labelsY(i,1:min(nN,12-1)) blanks(12-min(nN,12-1))];
    line    =[line arr];
end
disp(line); disp(header); disp(line);

for i=1:M
    polfunc=[labelsX(i,1:min(nM,12-1)) blanks(12-min(nM,12-1))];
    for j=1:N
        coef=sprintf('%9.3g',MAT(i,j));
        polfunc=[polfunc coef blanks(12-min(length(coef),12))];
    end
    disp(polfunc); clear polfunc;
end
disp(line); disp('  ');